# Method: accounts.getNotifications

- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/accounts/getNotifications#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/rest/v4/accounts/getNotifications#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/accounts/getNotifications#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/accounts/getNotifications#body.response_body)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/accounts/getNotifications#body.aspect)

> [!WARNING]
> Deprecated. Please use the [Notifications API](https://developers.google.com/my-business/reference/notifications/rest/v1/accounts/getNotificationSetting) instead.

Returns the pubsub notification settings for the account.

### HTTP request

`GET https://mybusiness.googleapis.com/v4/{name=accounts/*/notifications}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The notification settings resource name. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/my-business/reference/rest/v4/Notifications`.

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).